Package org.gradle.tooling.events

## Enum OperationType

- java.lang.Object
- - java.lang.Enum<OperationType>
  - - org.gradle.tooling.events.OperationType

- All Implemented Interfaces:
    `Serializable`, `Comparable<OperationType>`

      public enum OperationType
      extends Enum<OperationType>

  Enumerates the different types of operations for which progress events can be received.
  See Also:
    `LongRunningOperation.addProgressListener(ProgressListener, java.util.Set)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `GENERIC` | Flag for operations with no specific type.
    `PROJECT_CONFIGURATION` | Flag for project configuration operation progress events.
    `TASK` | Flag for task operation progress events.
    `TEST` | Flag for test operation progress events.
    `TEST_OUTPUT` | Flag for test output operation progress events.
    `TRANSFORM` | Flag for transform operation progress events.
    `WORK_ITEM` | Flag for work item operation progress events.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OperationType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static OperationType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEST

          public static final OperationType TEST

      Flag for test operation progress events.

      The following events are currently issued for this operation type.

      - `TestStartEvent`
      - `TestFinishEvent`

    - #### TASK

          public static final OperationType TASK

      Flag for task operation progress events.

      The following events are currently issued for this operation type.

      - `TaskStartEvent`
      - `TaskFinishEvent`

    - #### GENERIC

          public static final OperationType GENERIC

      Flag for operations with no specific type.

      The following events are currently issued for this operation type.

      - `StartEvent`
      - `FinishEvent`
      - `StatusEvent`

    - #### WORK_ITEM

          public static final OperationType WORK_ITEM

      Flag for work item operation progress events.

      The following events are currently issued for this operation type.

      - `WorkItemStartEvent`
      - `WorkItemFinishEvent`
      Since:
        5.1

    - #### PROJECT_CONFIGURATION

          public static final OperationType PROJECT_CONFIGURATION

      Flag for project configuration operation progress events.

      The following events are currently issued for this operation type.

      - `ProjectConfigurationStartEvent`
      - `ProjectConfigurationFinishEvent`
      Since:
        5.1

    - #### TRANSFORM

          public static final OperationType TRANSFORM

      Flag for transform operation progress events.

      The following events are currently issued for this operation type.

      - `TransformStartEvent`
      - `TransformFinishEvent`
      Since:
        5.1

    - #### TEST_OUTPUT

          @Incubating
          public static final OperationType TEST_OUTPUT

      Flag for test output operation progress events.

      Clients must subscribe to `TEST` events too if they want to receive test output events.

      The following events are currently issued for this operation type.
      - `TestOutputEvent`
      Since:
        6.0

  - ### Method Detail

    - #### values

          public static OperationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperationType c : OperationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperationType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null